Package org.apache.sysds.runtime.io

## Class FrameWriterJSONL

- java.lang.Object
- - org.apache.sysds.runtime.io.FrameWriterJSONL

Direct Known Subclasses:
  `FrameWriterJSONLParallel`

    public class FrameWriterJSONL
    extends Object

### Constructor Summary

Constructors
`FrameWriterJSONL()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `writeFrameToHDFS​(FrameBlock src, String fname, Map<String,​Integer> schemaMap, long rlen, long clen)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameWriterJSONL

    public FrameWriterJSONL()

### Method Detail

#### writeFrameToHDFS

    public void writeFrameToHDFS​(FrameBlock src,
                                 String fname,
                                 Map<String,​Integer> schemaMap,
                                 long rlen,
                                 long clen)
                          throws IOException,
                                 DMLRuntimeException,
                                 org.apache.wink.json4j.JSONException

Throws:
  `IOException`
  `DMLRuntimeException`
  `org.apache.wink.json4j.JSONException`